# VectorNav C++ Library: vn::sensors::FilterMeasurementsVarianceParametersRegister Struct Reference

vn::sensors::FilterMeasurementsVarianceParametersRegister Struct Reference
Register Structures

Structure representing the Filter Measurements Variance Parameters register. More...

`#include <registers.h>`

## Public Member Functions

| FilterMeasurementsVarianceParametersRegister (float angularWalkVarianceIn, vn::math::vec3f angularRateVarianceIn, vn::math::vec3f magneticVarianceIn, vn::math::vec3f accelerationVarianceIn)
| Creates an initializes a new FilterMeasurementsVarianceParametersRegister structure. More...

## Public Attributes

float | angularWalkVariance
| The angularWalkVariance field.
vn::math::vec3f | angularRateVariance
| The angularRateVariance field.
vn::math::vec3f | magneticVariance
| The magneticVariance field.
vn::math::vec3f | accelerationVariance
| The accelerationVariance field.

## Detailed Description

Structure representing the Filter Measurements Variance Parameters register.

## Constructor & Destructor Documentation

vn::sensors::FilterMeasurementsVarianceParametersRegister::FilterMeasurementsVarianceParametersRegister | ( | float | angularWalkVarianceIn,
|  | vn::math::vec3f | angularRateVarianceIn,
|  | vn::math::vec3f | magneticVarianceIn,
|  | vn::math::vec3f | accelerationVarianceIn
| ) |  |

inline

Creates an initializes a new FilterMeasurementsVarianceParametersRegister structure.

Parameters

  [in] | angularWalkVarianceIn | Value to initialize the angularWalkVariance field with.
  [in] | angularRateVarianceIn | Value to initialize the angularRateVariance field with.
  [in] | magneticVarianceIn | Value to initialize the magneticVariance field with.
  [in] | accelerationVarianceIn | Value to initialize the accelerationVariance field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h